# $Revision: 1.32 $, $Date: 2002/06/05 19:47:46 $
Summary:	Uses internet talk protocol to create multiuser chat sessions
Summary(de):	Benutzt das Internet-Talk-Protokoll zum Erstellen von Multiuser-Chat-Sitzungen
Summary(es):	Usa el protocolo de talk de la internet para crear sesiones de chat entre varios usuarios
Summary(fr):	Utilise le protocole talk pour crer des discussions multi-utilisateurs
Summary(pl):	Klient talk umoliwiajcy jednoczesn rozmow z kilkoma osobami
Summary(pt_BR):	Usa o protocolo de talk da internet para criar sesses de chat entre vrios usurios
Summary(tr):	Talk protokolu kullanarak ikiden fazla kiinin konumasn salar
Name:		ytalk
Version:	3.1.1
Release:	10
License:	BSD
Group:		Networking
Source0:	http://www.iagora.com/~espel/ytalk/%{name}-%{version}.tar.gz
Patch0:		%{name}.patch
URL:		http://www.iagora.com/~espel/index.html
BuildRequires:	autoconf
BuildRequires:	ncurses-devel >= 5.0
Provides:	talk
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ytalk is an extension of the standard Internet 'talk' protocol that
allows more than two users per conversation, redirection of program
output to others, as well as an easy-to-use menu of commands. It uses
the same talk daemon as the standard talk program.

%description -l de
ytalk ist eine Erweiterung des herkmmlichen
Internet-'talk'-Protokolls, die mehr als zwei Benutzer pro
Unterhaltung und die Umleitung von Programmausgaben an andere
ermglicht und ein einfaches Befehlsmen enthlt. Es verwendet
denselben Talk-Dmon wie das Standardprogramm.

%description -l es
ytalk es una extensin del protocolo "talk" de Internet que permite
ms de dos usuarios por conversacin, nueva orientacin de la salida
del programa para otros, as como un men de comandos fcil de usar.
Utiliza el mismo daemon "talk" que el programa "talk" padrn.

%description -l fr
ytalk est une extension du protocole standard Internet 'talk' qui
accepte plus de deux utilisateurs par conversation, la redirection des
affichages aux autres, aussi bien que menus de commandes simples 
utiliser. Il utilise le mme dmon que le programme talk.

%description -l pl
Ytalk jest rozszerzeniem standardowego protokou internetowego talk.
Pozwala na prowadzenie konwersacji przez wicej ni dwie osoby, uywa
tego samego demona talkd co standardowy klient talk.

%description -l pt_BR
ytalk  uma extenso do protocolo "talk" da Internet que permite mais
de dois usurios por conversao, redirecionamento da sada do
programa para outros, assim como um menu de comandos fcil de usar.
Ele utiliza o mesmo daemon "talk" que o programa "talk" padro.

%description -l tr
ytalk, standart talk yazlmnn gelimi bir srmdr. kiden fazla
kiinin ayn anda konumalarn ve program ktlarnn kullanclara
ynlendirilmelerini salar. Kolay kullanlabilir bir komut mens
ierir. Standart talkd daemon'u kullanr.

%prep
%setup -q
%patch -p1

%build
%{__autoconf}
CPPFLAGS="-I%{_includedir}/ncurses" \
CFLAGS="%{rpmcflags}" LDFLAGS="%{rpmldflags}" \
./configure %{_target_platform} \
	--prefix=%{_prefix} \
	--sysconfdir=%{_sysconfdir} \
	--without-x
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} \
	mandir=$RPM_BUILD_ROOT%{_mandir}
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog BUGS
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%config %verify(not size md5 mtime) %{_sysconfdir}/ytalkrc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: ytalk.spec,v $
Revision 1.32  2002/06/05 19:47:46  kloczek
- bump reelase to 10.

Revision 1.31  2002/06/05 19:24:40  marcus
- fixed path to man in make install

Revision 1.30  2002/05/27 14:49:26  blues
- release 5
- new doc
- provides: talk

Revision 1.29  2002/05/21 23:15:09  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.28  2002/02/23 05:29:57  kloczek
- adapterized.

Revision 1.27  2002/02/22 23:30:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.26  2002/01/18 02:15:47  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.25  2001/12/23 04:33:52  blues
- release 4
- some stollen translations (CNV)
- URLs updated
- more docs

Revision 1.24  2001/10/11 14:55:13  qboosh
- adapterized, BuildRequires: autoconf

Revision 1.23  2001/05/02 02:43:04  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.22  2000/07/13 23:30:07  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.21  2000/06/09 07:55:17  kloczek
- more %%{__make} macros.

Revision 1.20  2000/06/09 07:24:23  kloczek
- added using %%{__make} macro.

Revision 1.19  2000/05/21 16:53:31  kloczek
- spec adapterized.

Revision 1.18  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.17  2000/03/28 16:55:27  baggins
- translated kloczkish into english

Revision 1.16  1999/11/19 13:58:39  kloczek
- release 2,
- build against ncurses 5.0.

Revision 1.15  1999/07/20 12:48:12  wiget
- switch to rpm 3.0.2

Revision 1.14  1999/07/12 23:06:29  kloczek

- added using CVS keywords in %changelog (for automating them).

* Mon May 10 1999 Piotr Czerwiski <pius@pld.org.pl>
  [3.1-5]
- package is now FHS 2.0 compliant.

* Mon Apr 19 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [3.1-4]
- recompiles on new rpm,
- added BuildPrereq: XFree86-devel, ncurses-devel,
- removed man group from man pages,
- gzipping man pages instead bzipping2.

* Sat Nov 21 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [3.1-1d]
- new autoconf based %build and %install,
- added using $RPM_OPT_FLAGS during compile,
- added "rm -rf $RPM_BUILD_ROOT" on top %install,
- modified pl Summary,
- added ytalk.patch with fix path to system ytalkrc (must be
  /etc/ytalk) and modify default ytalkrc.

* Thu Jul 23 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [3.0.3-4d]
- added pl translation,
- added buildroot support,
- added %verify in %config file,

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- built against glibc
